package cc.smtweb.framework.core.exception;

/**
 * 〈全局异常〉
 *
 * @author kevin
 * @since 1.0.0
 */
public class SwException extends RuntimeException {

    private static final long serialVersionUID = 8096609992852791423L;

//    private ExceptionMessage cm;

    public SwException() {
    }

    public SwException(String msg) {
        super(msg);
    }

    public SwException(int code, String msg) {
        super(msg);
    }

    public SwException(String msg, Throwable e) {
        super(msg, e);
    }

    public SwException(Throwable e) {
        super(e.getMessage(), e);
    }

    public SwException(ExceptionMessage cm) {
        super(cm.getMsg());
    }

    public SwException(ExceptionMessage cm, Throwable e) {
        super(cm.getMsg(), e);
    }

    public SwException(ExceptionMessage cm, String msg) {
        super(msg);
    }


//    public ExceptionMessage getCm() {
//        return cm;
//    }

}
